Skip to main content
POST
Create GitHub integration

Authorizations

Authorization
string
header
required

API key or session token (Bearer)

Path Parameters

projectId
string
required

Body

application/json
repositoryOwner
string
required
Required string length: 1 - 100
repositoryName
string
required
Required string length: 1 - 100

Response

The stored integration

repositoryOwner
string
required
repositoryName
string
required
installationId
number | null
required

The GitHub App installation that grants access to the repository.

requiresVerification
boolean
required
id
string
projectId
string
importProgress
object
branchPattern
string

Template used to name branches created for a task.

When on, Kaneo comments a link back to the task on the linked GitHub issue.

isActive
boolean | null
createdAt
string<date-time>
updatedAt
string<date-time>